Commit ca90ea6e authored by Tim-Philipp Müller's avatar Tim-Philipp Müller
Browse files

Remove GST_USE_UNSTABLE_API guard and defines

parent de635d08
......@@ -4,10 +4,6 @@ dnl initialize autoconf
dnl when going to/from release please set the nano (fourth number) right !
dnl releases only do Wall, git and prerelease does Werror too
dnl
dnl
dnl ==========> REMOVE GST_USE_UNSTABLE_API when doing 1.0.0 <=============
dnl (also check libtool version)
dnl
AC_INIT(GStreamer, 0.11.94.1,
http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer,
gstreamer)
......@@ -677,8 +673,8 @@ dnl every flag in GST_OPTION_CFLAGS can be overridden at make time via e.g.
dnl make DEPRECATED_CFLAGS=''
GST_OPTION_CFLAGS="\$(WARNING_CFLAGS) \$(DEBUG_CFLAGS) \$(PROFILE_CFLAGS) \$(GCOV_CFLAGS) \$(OPT_CFLAGS) \$(DEPRECATED_CFLAGS)"
GST_OPTION_CXXFLAGS="\$(WARNING_CXXFLAGS) \$(ERROR_CXXFLAGS) \$(DEBUG_CFLAGS) \$(PROFILE_CFLAGS) \$(GCOV_CFLAGS) \$(OPT_CFLAGS) \$(DEPRECATED_CFLAGS)"
GST_OPTION_CFLAGS="$GST_OPTION_CFLAGS -DGST_USE_UNSTABLE_API"
GST_OPTION_CXXFLAGS="$GST_OPTION_CXXFLAGS -DGST_USE_UNSTABLE_API"
GST_OPTION_CFLAGS="$GST_OPTION_CFLAGS"
GST_OPTION_CXXFLAGS="$GST_OPTION_CXXFLAGS"
AC_SUBST(GST_OPTION_CFLAGS)
AC_SUBST(GST_OPTION_CXXFLAGS)
......
......@@ -270,7 +270,6 @@ Gst-@GST_API_VERSION@.gir: $(INTROSPECTION_SCANNER) libgstreamer-@GST_API_VERSIO
-I$(top_srcdir) \
-I$(top_builddir) \
-DIN_GOBJECT_INTROSPECTION=1 \
-DGST_USE_UNSTABLE_API \
--c-include='gst/gst.h' \
--library=libgstreamer-@GST_API_VERSION@.la \
--include=GLib-2.0 \
......
......@@ -24,11 +24,6 @@
#ifndef __GST_H__
#define __GST_H__
#ifndef GST_USE_UNSTABLE_API
#warning "The GStreamer 0.11 API is still unstable and will change in future."
#warning "Define GST_USE_UNSTABLE_API to avoid this warning."
#endif
#include <glib.h>
#include <gst/glib-compat.h>
......
......@@ -76,7 +76,6 @@ GstBase-@GST_API_VERSION@.gir: $(INTROSPECTION_SCANNER) libgstbase-@GST_API_VERS
--nsversion=@GST_API_VERSION@ \
--warn-all \
--strip-prefix=Gst \
-DGST_USE_UNSTABLE_API \
-I$(top_srcdir) \
-I$(top_srcdir)/libs \
-I$(top_builddir) \
......
......@@ -123,7 +123,6 @@ GstCheck-@GST_API_VERSION@.gir: $(INTROSPECTION_SCANNER) libgstcheck-@GST_API_VE
--nsversion=@GST_API_VERSION@ \
--strip-prefix=Gst \
--warn-all \
-DGST_USE_UNSTABLE_API \
-I$(top_srcdir) \
-I$(top_srcdir)/libs \
-I$(top_builddir) \
......
......@@ -54,7 +54,6 @@ GstController-@GST_API_VERSION@.gir: $(INTROSPECTION_SCANNER) libgstcontroller-@
--nsversion=@GST_API_VERSION@ \
--warn-all \
--strip-prefix=Gst \
-DGST_USE_UNSTABLE_API \
-I$(top_srcdir) \
-I$(top_srcdir)/libs \
-I$(top_builddir) \
......
......@@ -52,7 +52,6 @@ GstNet-@GST_API_VERSION@.gir: $(INTROSPECTION_SCANNER) libgstnet-@GST_API_VERSIO
--strip-prefix=Gst \
--warn-all \
--nsversion=@GST_API_VERSION@ \
-DGST_USE_UNSTABLE_API \
-I$(top_srcdir) \
-I$(top_srcdir)/libs \
-I$(top_builddir) \
......
......@@ -51,7 +51,7 @@ echo ### INSTALL GLIB-DEV AND/OR MAKE SURE IT IS IN YOUR PATH!
<ItemDefinitionGroup>
<ClCompile />
<ClCompile>
<PreprocessorDefinitions>PREFIX="$(PREFIX)";DISABLE_ORC;WIN32;_WINDOWS;HAVE_CONFIG_H;HAVE_WIN32;GST_USE_UNSTABLE_API;GST_DISABLE_XML;HAVE_SINH;HAVE_COSH;%(PreprocessorDefinitions)</PreprocessorDefinitions>
<PreprocessorDefinitions>PREFIX="$(PREFIX)";DISABLE_ORC;WIN32;_WINDOWS;HAVE_CONFIG_H;HAVE_WIN32;GST_DISABLE_XML;HAVE_SINH;HAVE_COSH;%(PreprocessorDefinitions)</PreprocessorDefinitions>
<DisableSpecificWarnings>4996;4244;4018;4146;4305;%(DisableSpecificWarnings)</DisableSpecificWarnings>
<AdditionalIncludeDirectories>$(GstProjectRoot);$(GstProjectRoot)libs;$(GstProjectRoot)win32\common\;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
</ClCompile>
......@@ -97,4 +97,4 @@ echo ### INSTALL GLIB-DEV AND/OR MAKE SURE IT IS IN YOUR PATH!
<Value>$(PREFIX)</Value>
</BuildMacro>
</ItemGroup>
</Project>
\ No newline at end of file
</Project>
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment